>From c660b778c3273ef05656492576756a0094005625 Mon Sep 17 00:00:00 2001
From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Date: Fri, 19 Jul 2013 16:50:09 -0400
Subject: [PATCH] debian: Add package for debugging symbols (Closes: #717339)

---
 debian/control | 15 +++++++++++++++
 debian/rules   |  3 +++
 2 files changed, 18 insertions(+)

diff --git a/debian/control b/debian/control
index cc16960..37f3d1f 100644
--- a/debian/control
+++ b/debian/control
@@ -139,3 +139,18 @@ Description: thread-based email index, search and tagging (Mutt interface)
  a fresh Maildir containing its search results only. The second one is
  the ability to reconstruct threads on the fly starting from the
  current highlighted mail.
+
+Package: notmuch-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnotmuch3 (= ${binary:Version})
+Description: thread-based email index, search and tagging - debugging symbols
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package contains the debugging symbols for libnotmuch and the
+ notmuch binary. Most people will not need this package.
+
diff --git a/debian/rules b/debian/rules
index 4257c5a..8c958e2 100755
--- a/debian/rules
+++ b/debian/rules
@@ -27,3 +27,6 @@ override_dh_auto_install:
 	dh_auto_install --sourcedirectory bindings/python
 	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 	dh_auto_install --sourcedirectory bindings/ruby
+
+override_dh_strip:
+	dh_strip --pkg notmuch-dbg
-- 
1.8.2.rc2

